Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[1.4.0rc4] Py3 incompatible plugins shown as enabled and not specially marked #3442

Closed
foosel opened this issue Feb 4, 2020 · 3 comments
Closed
Assignees
Milestone

Comments

@foosel
Copy link
Owner

@foosel foosel commented Feb 4, 2020

Problem

Plugins that aren't compatible to Python 3 but installed are registering as enabled and also shown as enabled inside Plugin Manager without special markup.

See https://community.octoprint.org/t/incompatible-plugins-not-reflected-to-plugin-manager-ui/15825:

Currently I am testing my plugins against OP 1.4.0rcX and Python 3.
Some of my plugins are related to other plugins to I check the availability like this:

		if "preheat" in self._plugin_manager.plugins:
			plugin = self._plugin_manager.plugins["preheat"]
			if plugin != None and plugin.enabled == True:
               ... do some usefull stuff with the plugin ...

Now I realized that only checking against "enabled" is not enough, because the "preHeat-Plugin" is currently not Python 3 compatible.

[...]

Here is the screenshot of the log-output:

image

In the plugin manager the plugin is enabled (filtering to diasbled shows noting), but it is not listed in the below plugins-settings section (because not useable with python 3):

image

@foosel

This comment has been minimized.

Copy link
Owner Author

@foosel foosel commented Feb 4, 2020

foosel added a commit that referenced this issue Feb 4, 2020
foosel added a commit that referenced this issue Feb 4, 2020
Second part of fixing #3442
@foosel

This comment has been minimized.

Copy link
Owner Author

@foosel foosel commented Feb 4, 2020

Fixed by the above commits, ready for 1.4.0rc5

@foosel foosel added the status:solved label Feb 4, 2020
@foosel

This comment has been minimized.

Copy link
Owner Author

@foosel foosel commented Feb 11, 2020

1.4.0rc5 is released.

@foosel foosel closed this Feb 11, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant
You can’t perform that action at this time.